## Input

Input

## Functions

gint | gdk_input_add_full ()
void | (*GdkInputFunction) ()
void | (*GdkDestroyNotify) ()
gint | gdk_input_add ()
void | gdk_input_remove ()

## Types and Values

enum | GdkInputCondition

## Includes

    #include <gdk/gdk.h>

## Description

## Functions

### gdk_input_add_full ()

    gint
    gdk_input_add_full (gint source,
                        GdkInputCondition condition,
                        GdkInputFunction function,
                        gpointer data,
                        GDestroyNotify destroy);

`gdk_input_add_full` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `g_io_add_watch_full()` on a GIOChannel

Establish a callback when a condition becomes true on a file descriptor.

#### Parameters

source | a file descriptor. |
condition | the condition. |
function | the callback function. |
data | callback data passed to `function` . |
destroy | callback function to call with `data` when the input handler is removed. |

#### Returns

a tag that can later be used as an argument to `gdk_input_remove()`.

### GdkInputFunction ()

    void
    (*GdkInputFunction) (gpointer data,
                         gint source,
                         GdkInputCondition condition);

### GdkDestroyNotify ()

    void
    (*GdkDestroyNotify) (gpointer data);

`GdkDestroyNotify` is deprecated and should not be used in newly-written code.

### gdk_input_add ()

    gint
    gdk_input_add (gint source,
                   GdkInputCondition condition,
                   GdkInputFunction function,
                   gpointer data);

`gdk_input_add` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `g_io_add_watch()` on a GIOChannel

Establish a callback when a condition becomes true on a file descriptor.

#### Parameters

source | a file descriptor. |
condition | the condition. |
function | the callback function. |
data | callback data passed to `function` . |

#### Returns

a tag that can later be used as an argument to `gdk_input_remove()`.

### gdk_input_remove ()

    void
    gdk_input_remove (gint tag);

`gdk_input_remove` is deprecated and should not be used in newly-written code.

## Types and Values

### enum GdkInputCondition

#### Members

GDK_INPUT_READ |  |
GDK_INPUT_WRITE |  |
GDK_INPUT_EXCEPTION |  |